## ros-noetic-etsi-its-denm-msgs 3.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(etsi_its_denm_msgs)

find_package(ros_environment REQUIRED QUIET)
set(ROS_VERSION $ENV{ROS_VERSION})

# === ROS 2 (AMENT) ============================================================
if(${ROS_VERSION} EQUAL 2)

  find_package(ament_cmake REQUIRED)
  find_package(rosidl_default_generators REQUIRED)

  set(msg_files
    "msg/AccidentSubCauseCode.msg"
    "msg/ActionID.msg"
    "msg/AdverseWeatherConditionAdhesionSubCauseCode.msg"
    "msg/AdverseWeatherConditionExtremeWeatherConditionSubCauseCode.msg"
    "msg/AdverseWeatherConditionPrecipitationSubCauseCode.msg"
    "msg/AdverseWeatherConditionVisibilitySubCauseCode.msg"
    "msg/AlacarteContainer.msg"
    "msg/Altitude.msg"
    "msg/AltitudeConfidence.msg"
    "msg/AltitudeValue.msg"
    "msg/CauseCode.msg"
    "msg/CauseCodeType.msg"
    "msg/ClosedLanes.msg"
    "msg/CollisionRiskSubCauseCode.msg"
    "msg/DENM.msg"
    "msg/DangerousEndOfQueueSubCauseCode.msg"
    "msg/DangerousGoodsBasic.msg"
    "msg/DangerousGoodsExtended.msg"
    "msg/DangerousSituationSubCauseCode.msg"
    "msg/DecentralizedEnvironmentalNotificationMessage.msg"
    "msg/DeltaAltitude.msg"
    "msg/DeltaLatitude.msg"
    "msg/DeltaLongitude.msg"
    "msg/DeltaReferencePosition.msg"
    "msg/DrivingLaneStatus.msg"
    "msg/EmergencyVehicleApproachingSubCauseCode.msg"
    "msg/EnergyStorageType.msg"
    "msg/EventHistory.msg"
    "msg/EventPoint.msg"
    "msg/HardShoulderStatus.msg"
    "msg/HazardousLocationAnimalOnTheRoadSubCauseCode.msg"
    "msg/HazardousLocationDangerousCurveSubCauseCode.msg"
    "msg/HazardousLocationObstacleOnTheRoadSubCauseCode.msg"
    "msg/HazardousLocationSurfaceConditionSubCauseCode.msg"
    "msg/Heading.msg"
    "msg/HeadingConfidence.msg"
    "msg/HeadingValue.msg"
    "msg/HeightLonCarr.msg"
    "msg/HumanPresenceOnTheRoadSubCauseCode.msg"
    "msg/HumanProblemSubCauseCode.msg"
    "msg/ImpactReductionContainer.msg"
    "msg/InformationQuality.msg"
    "msg/ItineraryPath.msg"
    "msg/ItsPduHeader.msg"
    "msg/LanePosition.msg"
    "msg/Latitude.msg"
    "msg/LightBarSirenInUse.msg"
    "msg/LocationContainer.msg"
    "msg/Longitude.msg"
    "msg/ManagementContainer.msg"
    "msg/NumberOfOccupants.msg"
    "msg/PathDeltaTime.msg"
    "msg/PathHistory.msg"
    "msg/PathPoint.msg"
    "msg/PhoneNumber.msg"
    "msg/PosCentMass.msg"
    "msg/PosConfidenceEllipse.msg"
    "msg/PosFrontAx.msg"
    "msg/PosLonCarr.msg"
    "msg/PosPillar.msg"
    "msg/PositionOfOccupants.msg"
    "msg/PositionOfPillars.msg"
    "msg/PositioningSolutionType.msg"
    "msg/PostCrashSubCauseCode.msg"
    "msg/ReferenceDenms.msg"
    "msg/ReferencePosition.msg"
    "msg/RelevanceDistance.msg"
    "msg/RelevanceTrafficDirection.msg"
    "msg/RequestResponseIndication.msg"
    "msg/RescueAndRecoveryWorkInProgressSubCauseCode.msg"
    "msg/RestrictedTypes.msg"
    "msg/RoadType.msg"
    "msg/RoadWorksContainerExtended.msg"
    "msg/RoadworksSubCauseCode.msg"
    "msg/SemiAxisLength.msg"
    "msg/SequenceNumber.msg"
    "msg/SignalViolationSubCauseCode.msg"
    "msg/SituationContainer.msg"
    "msg/SlowVehicleSubCauseCode.msg"
    "msg/Speed.msg"
    "msg/SpeedConfidence.msg"
    "msg/SpeedLimit.msg"
    "msg/SpeedValue.msg"
    "msg/StationID.msg"
    "msg/StationType.msg"
    "msg/StationarySince.msg"
    "msg/StationaryVehicleContainer.msg"
    "msg/StationaryVehicleSubCauseCode.msg"
    "msg/SubCauseCodeType.msg"
    "msg/Temperature.msg"
    "msg/Termination.msg"
    "msg/TimestampIts.msg"
    "msg/Traces.msg"
    "msg/TrafficConditionSubCauseCode.msg"
    "msg/TrafficRule.msg"
    "msg/TransmissionInterval.msg"
    "msg/TurningRadius.msg"
    "msg/VDS.msg"
    "msg/ValidityDuration.msg"
    "msg/VehicleBreakdownSubCauseCode.msg"
    "msg/VehicleIdentification.msg"
    "msg/VehicleMass.msg"
    "msg/WMInumber.msg"
    "msg/WheelBaseVehicle.msg"
    "msg/WrongWayDrivingSubCauseCode.msg"
  )

  rosidl_generate_interfaces(${PROJECT_NAME}
    ${msg_files}
  )

  ament_export_dependencies(rosidl_default_runtime)

  ament_package()

# === ROS (CATKIN) =============================================================
elseif(${ROS_VERSION} EQUAL 1)

  find_package(catkin REQUIRED COMPONENTS
    message_generation
    std_msgs
  )

  add_message_files(DIRECTORY msg)

  generate_messages(
    DEPENDENCIES std_msgs
  )

  catkin_package(
    CATKIN_DEPENDS
      message_runtime
      std_msgs
  )

endif()

=== debian/changelog ===
ros-noetic-etsi-its-denm-msgs (3.2.0-1focal) focal; urgency=high



 -- Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>  Tue, 22 Apr 2025 00:00:00 -0000

ros-noetic-etsi-its-denm-msgs (3.1.0-1focal) focal; urgency=high

  * Merge pull request #67 <https://github.com/ika-rwth-aachen/etsi_its_messages/issues/67> from ika-rwth-aachen/update-copyright
    Update copyright
  * Merge pull request #56 <https://github.com/ika-rwth-aachen/etsi_its_messages/issues/56> from cubesys-GmbH/fix_cmake_denm_subcausecodes
    codegen-py: fix missing DENM msg files in CMakeLists.txt
  * Merge branch 'main' into feature/spat-map-plugin
  * Merge pull request #54 <https://github.com/ika-rwth-aachen/etsi_its_messages/issues/54> from cubesys-GmbH/denm_subcausecodes
    keep DENM SubCauseCode variants
  * Merge branch 'main' into feature/spat-map-plugin
  * Contributors: Guido Küppers, Jean-Pierre Busch, Lennart Reiher

 -- Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>  Mon, 17 Feb 2025 00:00:00 -0000

ros-noetic-etsi-its-denm-msgs (3.0.0-1focal) focal; urgency=high

  * Merge pull request #46 <https://github.com/ika-rwth-aachen/etsi_its_messages/issues/46> from ika-rwth-aachen/improvement/formatting
    Usability and formatting improvements for codegen-py
  * Merge pull request #47 <https://github.com/ika-rwth-aachen/etsi_its_messages/issues/47> from ika-rwth-aachen/improvement/naming-rules
  * Merge pull request #28 <https://github.com/ika-rwth-aachen/etsi_its_messages/issues/28> from ika-rwth-aachen/feature/spatem-mapem
    SPATEM/MAPEM Support
  * Contributors: Jean-Pierre Busch, Lennart Reiher

 -- Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>  Tue, 10 Dec 2024 00:00:00 -0000

ros-noetic-etsi-its-denm-msgs (2.4.0-1focal) focal; urgency=high

  * Merge pull request #42 <https://github.com/ika-rwth-aachen/etsi_its_messages/issues/42> from ika-rwth-aachen/feature/auto-cmake-generation
    Add automatic generation of CMakeLists.txt for msg packages
  * Merge branch 'main' into feature/denm-launchfile-transformation
  * Contributors: Jean-Pierre Busch, Lennart Reiher

 -- Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>  Tue, 19 Nov 2024 00:00:00 -0000

ros-noetic-etsi-its-denm-msgs (2.3.0-1focal) focal; urgency=high



 -- Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>  Tue, 15 Oct 2024 00:00:00 -0000

ros-noetic-etsi-its-denm-msgs (2.2.0-1focal) focal; urgency=high

  * Merge pull request #2 <https://github.com/ika-rwth-aachen/etsi_its_messages/issues/2> from lreiher/fix-converter-memleak
    Resolve conflicts with ika-rwth-aachen/etsi_its_messages and free ret.buffer
  * Merge remote-tracking branch 'ika/main' into fix-converter-memleak
  * Contributors: Lennart Reiher, v0-e

 -- Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>  Thu, 01 Aug 2024 00:00:00 -0000

ros-noetic-etsi-its-denm-msgs (2.1.0-1focal) focal; urgency=high

  * Merge pull request #20 from ika-rwth-aachen/further-msgs
    Switch to rust-based generation and add additional message types
  * Merge pull request #1 from jpbusch/rust-based-codegen
    Final changes for ika-rwth-aachen#17.
  * Contributors: Jean-Pierre Busch, v0-e

 -- Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>  Tue, 09 Jul 2024 00:00:00 -0000

ros-noetic-etsi-its-denm-msgs (2.0.2-1focal) focal; urgency=high



 -- Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>  Fri, 31 May 2024 00:00:00 -0000

ros-noetic-etsi-its-denm-msgs (2.0.1-1focal) focal; urgency=high



 -- Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>  Tue, 27 Feb 2024 00:00:00 -0000

ros-noetic-etsi-its-denm-msgs (2.0.0-1focal) focal; urgency=high

  * Merge pull request #5 from ika-rwth-aachen/improvement/satisfy-package-conventions
    Refactoring to satisfy ROS package conventions
  * Contributors: Lennart Reiher

 -- Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>  Fri, 05 Jan 2024 00:00:00 -0000

=== debian/control ===
Source: ros-noetic-etsi-its-denm-msgs
Section: misc
Priority: optional
Maintainer: Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-message-generation, ros-noetic-ros-environment, ros-noetic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-etsi-its-denm-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-message-generation, ros-noetic-message-runtime, ros-noetic-ros-environment, ros-noetic-std-msgs
Description: ROS messages for ETSI ITS DENM

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-etsi-its-denm-msgs//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
